# gcu::Vector3f Class Reference

`#include <gcu/vector.h>`

List of all members.

## Public Member Functions

| Vector3f ()
| Vector3f (float x, float y, float z)
| ~Vector3f ()
Vector3f & | operator= (Vector3f const &other)
Vector3f | operator- (Vector3f const &other) const
Vector3f | operator+ (Vector3f const &other) const
Vector3f | operator* (float f) const
void | Setx (float val)
float | Getx (void) const
float & | GetRefx (void)
void | Sety (float val)
float | Gety (void) const
float & | GetRefy (void)
void | Setz (float val)
float | Getz (void) const
float & | GetRefz (void)

## Detailed Description

Utility 3d vectors class used by the gcu::Sphere class.

Definition at line 38 of file vector.h.

## Constructor & Destructor Documentation

gcu::Vector3f::Vector3f | ( |  | ) |

Constructs a vector with all three coordinates equal to 0.

gcu::Vector3f::Vector3f | ( | float | x,
|  | float | y,
|  | float | z |
| ) |  |  |

Parameters:

  | x | the x coordinate.
  | y | the y coordinate.
  | z | the z coordinate.

Constructs a vector given its three coordinates.

gcu::Vector3f::~Vector3f | ( |  | ) |

The destructor.

## Member Function Documentation

Vector3f& gcu::Vector3f::operator= | ( | Vector3f const & | other | ) |

Parameters:

  | other | a Vector3f to copy.

The assignment operator.

Returns:
  a new vector identical to other and this.

Vector3f gcu::Vector3f::operator- | ( | Vector3f const & | other | ) | const

Parameters:

  | other | a Vector3f to substract.

Returns:

Vector3f gcu::Vector3f::operator+ | ( | Vector3f const & | other | ) | const

Parameters:

  | other | a Vector3f to add.

Returns:
  the some of the two vectors.

Vector3f gcu::Vector3f::operator* | ( | float | f | ) | const

Parameters:

  | f | a real parameter.

Returns:
  the vector multiplied by f.

gcu::Vector3f::Setx | ( | float | x | ) | `[inline]`

Parameters:

  | x | the new value for the first coordinate.

Sets the first coordinate of the vector.

Definition at line 99 of file vector.h.

gcu::Vector3f::Getx | ( | void |  | ) | const`[inline]`

Returns:
  the first coordinate of the vector.

Definition at line 99 of file vector.h.

gcu::Vector3f::GetRefx | ( | void |  | ) | `[inline]`

Returns:
  the first coordinate of the vector as a reference.

Definition at line 99 of file vector.h.

gcu::Vector3f::Sety | ( | float | y | ) | `[inline]`

Parameters:

  | y | the new value for the second coordinate.

Sets the second coordinate of the vector.

Definition at line 111 of file vector.h.

gcu::Vector3f::Gety | ( | void |  | ) | const`[inline]`

Returns:
  the second coordinate of the vector.

Definition at line 111 of file vector.h.

gcu::Vector3f::GetRefy | ( | void |  | ) | `[inline]`

Returns:
  the second coordinate of the vector as a reference.

Definition at line 111 of file vector.h.

gcu::Vector3f::Setz | ( | float | z | ) | `[inline]`

Parameters:

  | z | the new value for the third coordinate.

Sets the third coordinate of the vector.

Definition at line 123 of file vector.h.

gcu::Vector3f::Getz | ( | void |  | ) | const`[inline]`

Returns:
  the third coordinate of the vector.

Definition at line 123 of file vector.h.

gcu::Vector3f::GetRefz | ( | void |  | ) | `[inline]`

Returns:
  the third coordinate of the vector as a reference.

Definition at line 123 of file vector.h.

The documentation for this class was generated from the following file:

- vector.h